UriPathRouteInputProperty Struct
The configuration for the URI path route type.
Example
ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_refactorspaces as refactorspaces } from 'aws-cdk-lib';
const uriPathRouteInputProperty: refactorspaces.CfnRoute.UriPathRouteInputProperty = {
activationState: 'activationState',
// the properties below are optional
appendSourcePath: false,
includeChildPaths: false,
methods: ['methods'],
sourcePath: 'sourcePath',
};
Properties
activationStatestringactivation_statestractivationStateStringActivationStatestringActivationState*stringrequired#If set to `ACTIVE` , traffic is forwarded to this route’s service after the route is created.
appendSourcePathoptionalboolean | IResolvableappend_source_pathoptionaltyping.Union[bool, IResolvable]appendSourcePathoptionalBooleanAppendSourcePathoptionalboolAppendSourcePathoptionalinterface{}#If set to `true` , this option appends the source path to the service URL endpoint.
includeChildPathsoptionalboolean | IResolvableinclude_child_pathsoptionaltyping.Union[bool, IResolvable]includeChildPathsoptionalBooleanIncludeChildPathsoptionalboolIncludeChildPathsoptionalinterface{}#Indicates whether to match all subpaths of the given source path.
If this value is false , requests must match the source path exactly before they are forwarded to this route's service.
methodsoptionalstring[]methodsoptionaltyping.List[str]methodsoptionalList<String>Methodsoptionalstring[]Methodsoptional*[]*string#A list of HTTP methods to match.
An empty list matches all values. If a method is present, only HTTP requests using that method are forwarded to this route’s service.
sourcePathoptionalstringsource_pathoptionalstrsourcePathoptionalStringSourcePathoptionalstringSourcePathoptional*string#This is the path that Refactor Spaces uses to match traffic.
Paths must start with / and are relative to the base of the application. To use path parameters in the source path, add a variable in curly braces. For example, the resource path {user} represents a path parameter called 'user'.